geography/geoclue - The NetBSD Packages Collection

Geoinformation service API and base providers

Geoclue is a modular geoinformation service built on top of the
D-Bus messaging system. The goal of the Geoclue project is to make
creating location-aware applications as simple as possible.

Build dependencies

lang/vala pkgtools/cwrappers textproc/gtk-doc textproc/libxslt devel/meson devel/glib2-tools lang/python39 devel/gdbus-codegen devel/gettext-tools devel/pkgconf

Runtime dependencies

devel/glib2 devel/gobject-introspection net/libsoup textproc/libxml2 sysutils/dbus-glib textproc/json-glib devel/glib2 devel/gobject-introspection net/libsoup textproc/libxml2 sysutils/dbus-glib textproc/json-glib

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgeoclue-2.5.6nb3.tgz
NetBSD 8.0earmv7hfgeoclue-2.5.6nb1.tgz
NetBSD 8.0earmv7hfgeoclue-2.5.6nb3.tgz
NetBSD 8.0i386geoclue-2.5.6nb1.tgz
NetBSD 8.0i386geoclue-2.5.6nb3.tgz
NetBSD 8.0x86_64geoclue-2.5.6nb1.tgz
NetBSD 8.0x86_64geoclue-2.5.6nb3.tgz
NetBSD 9.0aarch64geoclue-2.5.6nb3.tgz
NetBSD 9.0aarch64geoclue-2.5.6nb1.tgz
NetBSD 9.0aarch64geoclue-2.5.6nb3.tgz
NetBSD 9.0alphageoclue-2.5.6nb3.tgz
NetBSD 9.0alphageoclue-2.5.6nb1.tgz
NetBSD 9.0alphageoclue-2.5.6nb3.tgz
NetBSD 9.0earmgeoclue-2.5.6nb1.tgz
NetBSD 9.0earmgeoclue-2.5.6nb3.tgz
NetBSD 9.0earmgeoclue-2.5.6nb3.tgz
NetBSD 9.0earmv6hfgeoclue-2.5.6nb3.tgz
NetBSD 9.0earmv6hfgeoclue-2.5.6nb1.tgz
NetBSD 9.0earmv6hfgeoclue-2.5.6nb3.tgz
NetBSD 9.0earmv7hfgeoclue-2.5.6nb3.tgz
NetBSD 9.0earmv7hfgeoclue-2.5.6nb1.tgz
NetBSD 9.0earmv7hfgeoclue-2.5.6nb3.tgz
NetBSD 9.0earmv7hfgeoclue-2.5.6nb3.tgz
NetBSD 9.0i386geoclue-2.5.6nb1.tgz
NetBSD 9.0i386geoclue-2.5.6nb3.tgz
NetBSD 9.0i386geoclue-2.5.6nb3.tgz
NetBSD 9.0mips64ebgeoclue-2.5.6nb3.tgz
NetBSD 9.0mips64ebgeoclue-0.12.0nb21.tgz
NetBSD 9.0mips64ebgeoclue-2.5.6nb1.tgz
NetBSD 9.0mips64ebgeoclue-2.5.6nb1.tgz
NetBSD 9.0mips64ebgeoclue-2.5.6nb3.tgz
NetBSD 9.0mipselgeoclue-2.5.6nb3.tgz
NetBSD 9.0mipselgeoclue-2.5.6nb1.tgz
NetBSD 9.0mipselgeoclue-2.5.6nb3.tgz
NetBSD 9.0sparc64geoclue-2.5.6nb3.tgz
NetBSD 9.0sparc64geoclue-2.5.6nb1.tgz
NetBSD 9.0sparc64geoclue-2.5.6nb3.tgz
NetBSD 9.0sparcgeoclue-0.12.0nb21.tgz
NetBSD 9.0x86_64geoclue-2.5.6nb3.tgz
NetBSD 9.0x86_64geoclue-2.5.6nb3.tgz
NetBSD 9.0x86_64geoclue-2.5.6nb1.tgz
NetBSD 9.0x86_64geoclue-2.5.6nb3.tgz
NetBSD 9.0x86_64geoclue-2.5.6nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.